/**
 *
 */

function onLoadAction() {

	var colNames = new Array();
	var colModels = new Array();
	$.ajax({
		url: "columnmanager",
	    type: "GET",
		cache : false,
		data: {"tableid":"account"},
		success: function(data, status, xhr) {
			// 通信成功時の処理
			columnXmlToArray(data, colNames, colModels);

			$.ajax({
				url: "accountmanager",
			    type: "GET",
				cache : false,
				data: {"tableid":"account"},
				success: function(data, status, xhr) {
					// 通信成功時の処理
					createTreeTable("#master", "勘定科目", "400", "800", data, colNames, colModels);
				},
				error: function(xhr, status, error) {
					// 通信失敗時の処理
				},
				complete: function(xhr, status) {
					// 通信完了時の処理
			    }
			});

		},
		error: function(xhr, status, error) {
			// 通信失敗時の処理
		},
		complete: function(xhr, status) {
			// 通信完了時の処理
	    }
	});
}
